Assignments Assignments

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
GXMatrixMNTC< Coord > Class Template Reference

`#include <MatrixMNTC.h>`

## Public Member Functions
| GXMatrixMNTC (void)
| GXMatrixMNTC (unsigned int cRows, unsigned int cCols)
| GXMatrixMNTC (unsigned int cRows, unsigned int cCols, const Coord &initializeTo)
| GXMatrixMNTC (const GXMatrixMNTC< Coord > &toCopy)
| ~GXMatrixMNTC (void)
void | SetDim (unsigned int cRows, unsigned int cCols)
void | SetDim (unsigned int cRows, unsigned int cCols, const Coord &initializeTo)
void | Init (const Coord &initializeTo)
unsigned int | Rows (void) const
unsigned int | Cols (void) const
bool | IsSquare (void) const
bool | IsDiagonal (void) const
bool | IsScalar (void) const
bool | IsSymmetric (void) const
bool | IsAntiSymmetric (void) const
Coord * | Data (void)
const Coord & | operator() (unsigned int iRow, unsigned int iCol) const
Coord & | operator() (unsigned int iRow, unsigned int iCol)
const GXMatrixMNTC< Coord > & | operator= (const GXMatrixMNTC< Coord > &toCopy)
const GXMatrixMNTC< Coord > & | operator+= (const GXMatrixMNTC< Coord > &toAdd)
const GXMatrixMNTC< Coord > & | operator-= (const GXMatrixMNTC< Coord > &toAdd)
const GXMatrixMNTC< Coord > & | operator*= (Coord s)
const GXMatrixMNTC< Coord > & | operator/= (Coord s)

## Protected Attributes
Coord * | m_pElements
unsigned int | m_cRows
unsigned int | m_cCols

## Private Member Functions
const Coord & | Get (unsigned int i, unsigned int j) const

## Constructor & Destructor Documentation

## ◆ GXMatrixMNTC() [1/4]

template<class Coord >

GXMatrixMNTC< Coord >::GXMatrixMNTC | ( | void |  | ) |

## ◆ GXMatrixMNTC() [2/4]

template<class Coord >

GXMatrixMNTC< Coord >::GXMatrixMNTC | ( | unsigned int | cRows,
|  | unsigned int | cCols )

## ◆ GXMatrixMNTC() [3/4]

template<class Coord >

GXMatrixMNTC< Coord >::GXMatrixMNTC | ( | unsigned int | cRows,
|  | unsigned int | cCols,
|  | const Coord & | initializeTo )

## ◆ GXMatrixMNTC() [4/4]

template<class Coord >

GXMatrixMNTC< Coord >::GXMatrixMNTC | ( | const GXMatrixMNTC< Coord > & | toCopy | ) |

## ◆ ~GXMatrixMNTC()

template<class Coord >

GXMatrixMNTC< Coord >::~GXMatrixMNTC | ( | void |  | ) |

## Member Function Documentation

## ◆ Cols()

template<class Coord >

unsigned int GXMatrixMNTC< Coord >::Cols | ( | void |  | ) | const
| inline

## ◆ Data()

template<class Coord >

Coord * GXMatrixMNTC< Coord >::Data | ( | void |  | ) |
| inline

## ◆ Get()

template<class Coord >

const Coord & GXMatrixMNTC< Coord >::Get | ( | unsigned int | i,
|  | unsigned int | j ) const
| inline private

## ◆ Init()

template<class Coord >

void GXMatrixMNTC< Coord >::Init | ( | const Coord & | initializeTo | ) |

## ◆ IsAntiSymmetric()

template<class Coord >

bool GXMatrixMNTC< Coord >::IsAntiSymmetric | ( | void |  | ) | const

## ◆ IsDiagonal()

template<class Coord >

bool GXMatrixMNTC< Coord >::IsDiagonal | ( | void |  | ) | const

## ◆ IsScalar()

template<class Coord >

bool GXMatrixMNTC< Coord >::IsScalar | ( | void |  | ) | const

## ◆ IsSquare()

template<class Coord >

bool GXMatrixMNTC< Coord >::IsSquare | ( | void |  | ) | const

## ◆ IsSymmetric()

template<class Coord >

bool GXMatrixMNTC< Coord >::IsSymmetric | ( | void |  | ) | const

## ◆ operator()() [1/2]

template<class Coord >

Coord & GXMatrixMNTC< Coord >::operator() | ( | unsigned int | iRow,
|  | unsigned int | iCol )
| inline

## ◆ operator()() [2/2]

template<class Coord >

const Coord & GXMatrixMNTC< Coord >::operator() | ( | unsigned int | iRow,
|  | unsigned int | iCol ) const
| inline

## ◆ operator*=()

template<class Coord >

const GXMatrixMNTC< Coord > & GXMatrixMNTC< Coord >::operator*= | ( | Coord | s | ) |

## ◆ operator+=()

template<class Coord >

const GXMatrixMNTC< Coord > & GXMatrixMNTC< Coord >::operator+= | ( | const GXMatrixMNTC< Coord > & | toAdd | ) |

## ◆ operator-=()

template<class Coord >

const GXMatrixMNTC< Coord > & GXMatrixMNTC< Coord >::operator-= | ( | const GXMatrixMNTC< Coord > & | toAdd | ) |

## ◆ operator/=()

template<class Coord >

const GXMatrixMNTC< Coord > & GXMatrixMNTC< Coord >::operator/= | ( | Coord | s | ) |

## ◆ operator=()

template<class Coord >

const GXMatrixMNTC< Coord > & GXMatrixMNTC< Coord >::operator= | ( | const GXMatrixMNTC< Coord > & | toCopy | ) |

## ◆ Rows()

template<class Coord >

unsigned int GXMatrixMNTC< Coord >::Rows | ( | void |  | ) | const
| inline

## ◆ SetDim() [1/2]

template<class Coord >

void GXMatrixMNTC< Coord >::SetDim | ( | unsigned int | cRows,
|  | unsigned int | cCols )

## ◆ SetDim() [2/2]

template<class Coord >

void GXMatrixMNTC< Coord >::SetDim | ( | unsigned int | cRows,
|  | unsigned int | cCols,
|  | const Coord & | initializeTo )

## Member Data Documentation

## ◆ m_cCols

template<class Coord >

unsigned int GXMatrixMNTC< Coord >::m_cCols
| protected

## ◆ m_cRows

template<class Coord >

unsigned int GXMatrixMNTC< Coord >::m_cRows
| protected

## ◆ m_pElements

template<class Coord >

Coord* GXMatrixMNTC< Coord >::m_pElements
| protected

The documentation for this class was generated from the following files:

- Assignments/SVD/MatrixMNTC.h
- Assignments/SVD/MatrixMNTC.inl